Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Billing
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
        • Overview
          • Overview
          • Get
          • List
          • ListBillableObjectBindings
          • BindBillableObject
          • ListAccessBindings
          • UpdateAccessBindings
  • Audit Trails events
  • Release notes

In this article:

  • gRPC request
  • ListBillingAccountsRequest
  • ListBillingAccountsResponse
  • BillingAccount
  1. API reference
  2. gRPC
  3. Billing
  4. BillingAccount
  5. List

Billing API, gRPC: BillingAccountService.List

Written by
Yandex Cloud
Updated at April 23, 2026
View in Markdown
  • gRPC request
  • ListBillingAccountsRequest
  • ListBillingAccountsResponse
  • BillingAccount

Retrieves the list of billing accounts available for current user.

gRPC requestgRPC request

rpc List (ListBillingAccountsRequest) returns (ListBillingAccountsResponse)

ListBillingAccountsRequestListBillingAccountsRequest

{
  "page_size": "int64",
  "page_token": "string"
}

Field

Description

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListBillingAccountsResponse.next_page_token
that can be used to get the next page of results in subsequent list requests.

The maximum value is 1000.

page_token

string

Page token. To get the next page of results,
set page_token to the ListBillingAccountsResponse.next_page_token
returned by a previous list request.

The maximum string length in characters is 100.

ListBillingAccountsResponseListBillingAccountsResponse

{
  "billing_accounts": [
    {
      "id": "string",
      "name": "string",
      "created_at": "google.protobuf.Timestamp",
      "country_code": "string",
      "currency": "string",
      "active": "bool",
      "balance": "string"
    }
  ],
  "next_page_token": "string"
}

Field

Description

billing_accounts[]

BillingAccount

List of billing accounts.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListBillingAccountsRequest.page_size, use
next_page_token as the value
for the ListBillingAccountsRequest.page_token query parameter
in the next list request. Each subsequent list request will have its own
next_page_token to continue paging through the results.

BillingAccountBillingAccount

A BillingAccount resource. For more information, see BillingAccount.

Field

Description

id

string

ID of the billing account.

name

string

Name of the billing account.

created_at

google.protobuf.Timestamp

Creation timestamp.

country_code

string

ISO 3166-1 alpha-2 country code of the billing account.

currency

string

Currency of the billing account.
Can be one of the following:

  • RUB
  • USD
  • KZT

active

bool

Represents whether corresponding billable objects can be used or not.

balance

string

Current balance of the billing account.

Was the article helpful?

Previous
Get
Next
ListBillableObjectBindings
© 2026 Direct Cursus Technology L.L.C.